Skip to content
Start here

Delete Vectors By Identifier

vectorize.indexes.delete_by_ids(strindex_name, IndexDeleteByIDsParams**kwargs) -> IndexDeleteByIDsResponse
POST/accounts/{account_id}/vectorize/v2/indexes/{index_name}/delete_by_ids

Delete a set of vectors from an index by their vector identifiers.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize Write
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
index_name: str
ids: Optional[SequenceNotStr[str]]

A list of vector identifiers to delete from the index indicated by the path.

ReturnsExpand Collapse
class IndexDeleteByIDsResponse:
mutation_id: Optional[str]

The unique identifier for the async mutation operation containing the changeset.

maxLength36

Delete Vectors By Identifier

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.vectorize.indexes.delete_by_ids(
    index_name="example-index",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.mutation_id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "mutationId": "0000aaaa-11bb-22cc-33dd-444444eeeeee"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "mutationId": "0000aaaa-11bb-22cc-33dd-444444eeeeee"
  },
  "success": true
}